import React from 'react';
import { Box, Typography, Button } from '@mui/material';

import Grid from '@mui/material/Grid2';

const ProductSuggestion = () => {

  const images = [
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    }
  ];

  return (
    <Box sx={{ mb: 5 }}>
      <Grid container spacing={1} columns={12}>
        {images.map((image, index) => (<Grid item size={3} key={index}>
          <Box
            sx={{
              overflow: 'hidden',
              position: 'relative'
            }}
          >
            <img
              src={image.url}
              alt={image.title}
              style={{
                width: '100%',
                aspectRatio: '4 / 4',
                objectFit: 'cover',
              }}
            />

            <Box sx={{ py: 5 }}>
              <Typography variant="h5" sx={{ fontWeight: "bolder" }}>
                {image.title}
              </Typography>
              <Typography variant="h6" >
                {`RM ${image.price}`}
              </Typography>
            </Box>
          </Box>
        </Grid>))}
      </Grid>
    </Box>
  );
};

export default ProductSuggestion;
